Loading...
Searching...
No Matches
element.h File Reference
`#include <stdint.h>`
`#include "view.h"`
`#include "arc/std/string.h"`
`#include "arc/std/bool.h"`
`#include "arc/math/point.h"`

Go to the source code of this file.

## Data Structures

struct | ARC_ConsoleElement

## Macros

#define | ARC_CONSOLE_ELEMENT_FLAG_NONE 0b00000000
#define | ARC_CONSOLE_ELEMENT_FLAG_SELECTABLE 0b00000001
#define | ARC_CONSOLE_ELEMENT_FLAG_SELECTED 0b00000010

## Typedefs

typedef struct ARC_ConsoleElement | ARC_ConsoleElement
typedef void(* | ARC_ConsoleElement_RenderFn) (ARC_ConsoleView *view, ARC_ConsoleElement *element)

## Functions

void | ARC_ConsoleElement_Create (ARC_ConsoleElement **element, uint32_t type, uint8_t flags, ARC_String *string, ARC_Point pos, ARC_ConsoleElement_RenderFn renderFn)
void | ARC_ConsoleElement_Destroy (ARC_ConsoleElement *element)
void | ARC_ConsoleElement_DefaultRenderFn (ARC_ConsoleView *view, ARC_ConsoleElement *element)
ARC_Bool | ARC_ConsoleElement_IsSelectable (ARC_ConsoleElement *element)
void | ARC_ConsoleElement_SetSelected (ARC_ConsoleElement *element, ARC_Bool selected)
void | ARC_ConsoleElement_ToggleSelected (ARC_ConsoleElement *element)

## Macro Definition Documentation

## ARC_CONSOLE_ELEMENT_FLAG_NONE

#define ARC_CONSOLE_ELEMENT_FLAG_NONE 0b00000000

Definition at line 40 of file element.h.

## ARC_CONSOLE_ELEMENT_FLAG_SELECTABLE

#define ARC_CONSOLE_ELEMENT_FLAG_SELECTABLE 0b00000001

Definition at line 41 of file element.h.

## ARC_CONSOLE_ELEMENT_FLAG_SELECTED

#define ARC_CONSOLE_ELEMENT_FLAG_SELECTED 0b00000010

Definition at line 42 of file element.h.

## Typedef Documentation

## ARC_ConsoleElement

typedef struct ARC_ConsoleElement ARC_ConsoleElement

Definition at line 17 of file element.h.

## ARC_ConsoleElement_RenderFn

typedef void(* ARC_ConsoleElement_RenderFn) (ARC_ConsoleView *view, ARC_ConsoleElement *element)

Definition at line 22 of file element.h.

## Function Documentation

## ARC_ConsoleElement_Create()

void ARC_ConsoleElement_Create | ( | ARC_ConsoleElement ** | element,
|  | uint32_t | type,
|  | uint8_t | flags,
|  | ARC_String * | string,
|  | ARC_Point | pos,
|  | ARC_ConsoleElement_RenderFn | renderFn )

## ARC_ConsoleElement_DefaultRenderFn()

void ARC_ConsoleElement_DefaultRenderFn | ( | ARC_ConsoleView * | view,
|  | ARC_ConsoleElement * | element )

## ARC_ConsoleElement_Destroy()

void ARC_ConsoleElement_Destroy | ( | ARC_ConsoleElement * | element | ) |

## ARC_ConsoleElement_IsSelectable()

ARC_Bool ARC_ConsoleElement_IsSelectable | ( | ARC_ConsoleElement * | element | ) |

Parameters

## ARC_ConsoleElement_SetSelected()

void ARC_ConsoleElement_SetSelected | ( | ARC_ConsoleElement * | element,
|  | ARC_Bool | selected )

Parameters

## ARC_ConsoleElement_ToggleSelected()

void ARC_ConsoleElement_ToggleSelected | ( | ARC_ConsoleElement * | element | ) |